Errors from python script while installing APM SSO 13.1.

Document ID : KB000009300
Last Modified Date : 14/02/2018
Show Technical Document Details
Issue:

  I am attempting to install APM for SSO. Here is a copy of the installation log:

[user@server1 install]$ cat CA_APM_SSO_Install_11_27_2017_23_57_54.log | grep -i error 

Installation: Successful with errors. 

1 NonFatalErrors 

0 FatalErrors 

Status: ERROR 

Additional Notes: ERROR - Exit Code:1 Error Details: File "caapmsso_installation.py", line 158 

SyntaxError: invalid syntax 

Custom Action: com.wily.introscope.installer.plugin.LogErrorMessage 

 

Environment:
This may happen for a variety of environments. One such case had: - RHEL 6.6 64-bit - SSO 13.1.0.2 - SiteMinder 12.52 SP1 CR02
Cause:

  An older version of the Python library was used by the Red Hat OS. Python 2.5 and earlier does not have the required functionality to run the installer

Resolution:

  Upgrade Python to 2.6 or later to take advantage of the required later added features/libraries.